summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-05-23 01:00:14 +0100
committerSam James <sam@gentoo.org>2022-05-23 01:04:23 +0100
commitfd6e19dfb9706f594796bfd04cc0db289aa15032 (patch)
treef21f6011cc727e3b9adbea062555c2b430ace6f6
parentgames-roguelike/stone-soup: add 0.29 pre-release 5/22/22 (diff)
downloadgentoo-fd6e19dfb9706f594796bfd04cc0db289aa15032.tar.gz
gentoo-fd6e19dfb9706f594796bfd04cc0db289aa15032.tar.bz2
gentoo-fd6e19dfb9706f594796bfd04cc0db289aa15032.zip
net-analyzer/netperf: update EAPI 7 -> 8
Also throw in fcommon patch vs appending -fcommon. Bug: https://bugs.gentoo.org/706694 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--net-analyzer/netperf/files/netperf-2.7.0-fcommon.patch30
-rw-r--r--net-analyzer/netperf/netperf-2.7.0-r4.ebuild78
2 files changed, 108 insertions, 0 deletions
diff --git a/net-analyzer/netperf/files/netperf-2.7.0-fcommon.patch b/net-analyzer/netperf/files/netperf-2.7.0-fcommon.patch
new file mode 100644
index 00000000000..0682c76cd89
--- /dev/null
+++ b/net-analyzer/netperf/files/netperf-2.7.0-fcommon.patch
@@ -0,0 +1,30 @@
+https://github.com/HewlettPackard/netperf/pull/46
+https://bugs.gentoo.org/706694
+
+From c6a2e17fe35f0e68823451fedfdf5b1dbecddbe3 Mon Sep 17 00:00:00 2001
+From: Khem Raj <raj.khem@gmail.com>
+Date: Wed, 12 Aug 2020 09:57:23 -0700
+Subject: [PATCH] nettest_omni: Remove duplicate variable definitions
+
+These defines are already defined in nettest_bsd.c and exported by
+nettest_bsd.h this should fix build with -fno-common
+
+Signed-off-by: Khem Raj <raj.khem@gmail.com>
+--- a/src/nettest_omni.c
++++ b/src/nettest_omni.c
+@@ -458,14 +458,6 @@ static int client_port_max = 65535;
+
+ /* different options for the sockets */
+
+-int
+- loc_nodelay, /* don't/do use NODELAY locally */
+- rem_nodelay, /* don't/do use NODELAY remotely */
+- loc_sndavoid, /* avoid send copies locally */
+- loc_rcvavoid, /* avoid recv copies locally */
+- rem_sndavoid, /* avoid send copies remotely */
+- rem_rcvavoid; /* avoid recv_copies remotely */
+-
+ extern int
+ loc_tcpcork,
+ rem_tcpcork,
+
diff --git a/net-analyzer/netperf/netperf-2.7.0-r4.ebuild b/net-analyzer/netperf/netperf-2.7.0-r4.ebuild
new file mode 100644
index 00000000000..51a9ab06b8d
--- /dev/null
+++ b/net-analyzer/netperf/netperf-2.7.0-r4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Network performance benchmark"
+HOMEPAGE="http://www.netperf.org/"
+SRC_URI="ftp://ftp.netperf.org/${PN}/${P}.tar.bz2"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+LICENSE="netperf"
+SLOT="0"
+IUSE="demo sctp"
+
+DEPEND="
+ acct-group/netperf
+ acct-user/netperf
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-fix-scripts.patch
+ "${FILESDIR}"/${PN}-2.6.0-log-dir.patch
+ "${FILESDIR}"/${PN}-2.7.0-includes.patch
+ "${FILESDIR}"/${PN}-2.7.0-space.patch
+ "${FILESDIR}"/${PN}-2.7.0-inline.patch
+ "${FILESDIR}"/${PN}-2.7.0-fcommon.patch
+)
+
+src_prepare() {
+ # Fixing paths in scripts
+ sed -i \
+ -e 's:^\(NETHOME=\).*:\1"/usr/bin":' \
+ doc/examples/sctp_stream_script \
+ doc/examples/tcp_range_script \
+ doc/examples/tcp_rr_script \
+ doc/examples/tcp_stream_script \
+ doc/examples/udp_rr_script \
+ doc/examples/udp_stream_script \
+ || die
+
+ default
+}
+
+src_configure() {
+ # netlib.c:2292:5: warning: implicit declaration of function ‘sched_setaffinity’
+ # nettest_omni.c:2943:5: warning: implicit declaration of function ‘splice’
+ append-cppflags -D_GNU_SOURCE
+
+ econf \
+ $(use_enable demo) \
+ $(use_enable sctp)
+}
+
+src_install() {
+ default
+
+ # Move netserver into sbin as we had it before 2.4 was released with its
+ # autoconf goodness
+ dodir /usr/sbin
+ mv "${ED}"/usr/{bin,sbin}/netserver || die
+
+ # init.d / conf.d
+ newinitd "${FILESDIR}"/${PN}-2.7.0-init netperf
+ newconfd "${FILESDIR}"/${PN}-2.2-conf netperf
+
+ keepdir /var/log/${PN}
+ fowners netperf:netperf /var/log/${PN}
+ fperms 0755 /var/log/${PN}
+
+ # documentation and example scripts
+ dodoc AUTHORS ChangeLog NEWS README Release_Notes
+ dodir /usr/share/doc/${PF}/examples
+ # Scripts no longer get installed by einstall
+ cp doc/examples/*_script "${ED}"/usr/share/doc/${PF}/examples || die
+}